Search Unity

  1. Good news ✨ We have more Unite Now videos available for you to watch on-demand! Come check them out and ask our experts any questions!
    Dismiss Notice

gotting problems when starting unity 2D gamekit project

Discussion in 'Editor & General Support' started by se8820726, May 3, 2019.

  1. se8820726

    se8820726

    Joined:
    May 1, 2019
    Posts:
    4
    I'm beginner

    I installed unity 2019.2.0a4

    and then download 2D game kit by unity hub.
    after ending download. I started it and after a long loading and processing works finally unity project loaded.

    but got me some errors about nonexistent packages:

    Code (CSharp):
    1. An error occurred while resolving packages:
    2.   Project has invalid dependencies:
    3.     com.unity.package-manager-ui: Package [com.unity.package-manager-ui@2.1.2] cannot be found
    4.   Package com.unity.textmeshpro@2.0.0 has invalid dependencies:
    5.     com.unity.ugui: Package [com.unity.ugui@1.0.0] cannot be found
    6.  
    and another error with this message:

    Code (CSharp):
    1. Library\PackageCache\com.unity.textmeshpro@2.0.0\Scripts\Runtime\TMP_UpdateManager.cs(53,17): error CS0123: No overload for 'OnBeginFrameRendering' matches delegate 'Action<Camera[]>'
    2.  
    please someone helps me for solving this problems.

    I really like unity and game making.
    please help me to continue in my way <3

    update:
    I clicked on
    Help >> Reset packages to defaults

    now I have these errors:

    Assets\2DGamekit\Scripts\SceneManagement\TransitionPoint.cs(1,7): error CS0246: The type or namespace name 'Cinemachine' could not be found (are you missing a using directive or an assembly reference?)

    and

    Assets\2DGamekit\Scripts\Utility\AutoCameraSetup.cs(3,7): error CS0246: The type or namespace name 'Cinemachine' could not be found (are you missing a using directive or an assembly reference?)


    now what I must do ?
     
    Last edited: May 3, 2019
  2. Aurore

    Aurore

    Head of Learn Content Production Unity Technologies

    Joined:
    Aug 1, 2012
    Posts:
    3,105

    Hey, all the projects on the Hub only work on 2019.1. You will need to create a new project in 2019.1 and then download the Game Kit from the Asset Store.

    I would also recommend that as a beginner you do not download version of Unity that have an 'a' or a 'b' in their version names, these are alpha and beta version which may not give you the most comfortable experience.
     
    Joe-Censored likes this.
unityunity